libyui-mga-devel-1.0.8-0.15.gita6a160e.20160313.fc29.x86_64.rpm


Advertisement

Description

libyui-mga-devel - Files needed for developing with libyui-mga

Property Value
Distribution Fedora 29
Repository Fedora x86_64
Package name libyui-mga-devel
Package version 1.0.8
Package release 0.15.gita6a160e.20160313.fc29
Package architecture x86_64
Package type rpm
Installed size 55.41 KB
Download size 24.16 KB
Official Mirror download-ib01.fedoraproject.org
libyui can be used independently of YaST for generic (C++)
applications and has very few dependencies.
You do NOT need this package for developing with libyui.
Using libyui-devel is sufficient for such purpose. This
package is only needed when you want to develop an extension
for libyui-mga.

Alternatives

Package Version Architecture Repository
libyui-mga-devel-1.0.8-0.15.gita6a160e.20160313.fc29.i686.rpm 1.0.8 i686 Fedora
libyui-mga-devel-1.0.8-0.15.gita6a160e.20160313.fc29.i686.rpm 1.0.8 i686 Fedora
libyui-mga-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
cmake-filesystem(x86-64) -
libyui-devel(x86-64) >= 3.0.4
libyui-mga(x86-64) = 1.0.8-0.15.gita6a160e.20160313.fc29
libyui-mga.so.8()(64bit) -

Provides

Name Value
cmake(Libyui-mga) = 1.0.7
libyui-mga-devel = 1.0.8-0.15.gita6a160e.20160313.fc29
libyui-mga-devel(x86-64) = 1.0.8-0.15.gita6a160e.20160313.fc29
pkgconfig(libyui-mga) = 1.0.7

Download

Type URL
Binary Package libyui-mga-devel-1.0.8-0.15.gita6a160e.20160313.fc29.x86_64.rpm
Source Package libyui-mga-1.0.8-0.15.gita6a160e.20160313.fc29.src.rpm

Install Howto

Install libyui-mga-devel rpm package:

# dnf install libyui-mga-devel

Files

Path
/usr/include/yui/mga/YMGAAboutDialog.h
/usr/include/yui/mga/YMGAMsgBox.h
/usr/include/yui/mga/YMGAWidgetExtensionFactory.h
/usr/include/yui/mga/YMGA_CBTable.h
/usr/lib64/libyui-mga.so
/usr/lib64/cmake/libyui-mga/Libyui-mgaConfig.cmake
/usr/lib64/cmake/libyui-mga/Libyui-mgaConfigVersion.cmake
/usr/lib64/cmake/libyui-mga/Libyui-mgaLibraryDepends-release.cmake
/usr/lib64/cmake/libyui-mga/Libyui-mgaLibraryDepends.cmake
/usr/lib64/pkgconfig/libyui-mga.pc
/usr/share/doc/libyui-mga/ChangeLog
/usr/share/doc/libyui-mga/examples/AboutDialog.cc
/usr/share/doc/libyui-mga/examples/ManyWidgets.cc
/usr/share/doc/libyui-mga/examples/MsgBoxDialog.cc

Changelog

See libyui-mga-1.0.8-0.15.gita6a160e.20160313.fc29.x86_64.rpm changelog.

See Also

Package Description
libyui-mga-doc-1.0.8-0.15.gita6a160e.20160313.fc29.noarch.rpm Documentation files for libyui-mga
libyui-mga-gtk-1.0.2-0.16.git22f2cf6.20131215.fc29.i686.rpm Libyui-Gtk extensions for Mageia tools
libyui-mga-gtk-1.0.2-0.16.git22f2cf6.20131215.fc29.x86_64.rpm Libyui-Gtk extensions for Mageia tools
libyui-mga-gtk-devel-1.0.2-0.16.git22f2cf6.20131215.fc29.i686.rpm Files needed for developing with libyui-mga-gtk
libyui-mga-gtk-devel-1.0.2-0.16.git22f2cf6.20131215.fc29.x86_64.rpm Files needed for developing with libyui-mga-gtk
libyui-mga-gtk-doc-1.0.2-0.16.git22f2cf6.20131215.fc29.noarch.rpm Documentation files for libyui-mga-gtk
libyui-mga-ncurses-1.0.2-0.16.git026f2e6.20131215.fc29.i686.rpm Libyui-Ncurses extensions for Mageia tools
libyui-mga-ncurses-1.0.2-0.16.git026f2e6.20131215.fc29.x86_64.rpm Libyui-Ncurses extensions for Mageia tools
libyui-mga-ncurses-devel-1.0.2-0.16.git026f2e6.20131215.fc29.i686.rpm Files needed for developing with libyui-mga-ncurses
libyui-mga-ncurses-devel-1.0.2-0.16.git026f2e6.20131215.fc29.x86_64.rpm Files needed for developing with libyui-mga-ncurses
libyui-mga-ncurses-doc-1.0.2-0.16.git026f2e6.20131215.fc29.noarch.rpm Documentation files for libyui-mga-ncurses
libyui-mga-qt-1.0.3-0.16.gitb508e88.20140119.fc29.i686.rpm Libyui-Qt extensions for Mageia tools
libyui-mga-qt-1.0.3-0.16.gitb508e88.20140119.fc29.x86_64.rpm Libyui-Qt extensions for Mageia tools
libyui-mga-qt-devel-1.0.3-0.16.gitb508e88.20140119.fc29.i686.rpm Files needed for developing with libyui-mga-qt
libyui-mga-qt-devel-1.0.3-0.16.gitb508e88.20140119.fc29.x86_64.rpm Files needed for developing with libyui-mga-qt
Advertisement
Advertisement